# Generated by Django 3.2.13 on 2022-04-24 20:15

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0028_totaisconflitosorganizacao'),
    ]

    operations = [
        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_totaisconflitosporestadoorganizacao;
            CREATE OR REPLACE VIEW relatorios_totaisconflitosporestadoorganizacao AS
            SELECT t.organizacao_id,
                   tc.id,
                   tc.nome,
                   me.nome estado,
                   me.uf uf,
                   count(cf.id) AS qtd_conflitosporestado
            FROM main_conflito cf
                     JOIN main_tipoconflito tc ON cf.tipo_conflito_id = tc.id
                     JOIN main_territorio t ON cf.territorio_id = t.id AND t.teste is false AND t.status_id = 4
                     JOIN main_municipio mm ON t.municipio_referencia_id = mm.id
                     JOIN main_estado me ON mm.estado_id = me.id
            WHERE cf.deleted IS NULL
            GROUP BY t.organizacao_id, tc.id, tc.nome, me.nome, me.uf
            ORDER BY qtd_conflitosporestado DESC, t.organizacao_id, tc.id;
            """),
    ]
